@charset "UTF-8";
.main-layout{
    width: 1200px;
    margin-bottom: 55px;
    display: flex;
    justify-content: space-between;
}
.right-cont{
    width: 880px;
    height: auto;
}
.news-list{
    width: 100%;
    height: auto;
}

/*
* @author:Mr.Zhu
* @title:教师风采
* @date:2022/2/23 16:36
*/
.teacher-list{
    width: 100%;
    height: auto;
    display: flex;
    flex-wrap: wrap;
}
.teacher-list li{
    width: calc(96% / 4);
    height: 400px;
    background-color: #F5F5F5;
    box-sizing: border-box;
    margin-top: 30px;
    transition: all .3s ease-in-out 0s;
    margin-right: 16px;
}
.teacher-list li:nth-child(4n){
    margin-right: 0;
}
.teacher-list li a{
    width: 100%;
    height: 100%;
}
.teacher-img{
    width: 100%;
    height: calc(100% - 60px);
}
.teacher-img img{
    width: 100%;
    height: 100%;
}
.teacher-list li a span{
    width: 100%;
    height: 60px;
    background-color: #F5F5F5;
    display: inline-block;
    font-size: 15px;
    color: #424242;
    text-align: center;
    line-height: 60px;
}
.teacher-list li:hover{
    transform: translateY(-5px);
    box-shadow: 0px 2px 5px #333333;
}
/*end*/

@media screen and (max-width: 1200px) {
    .main-layout{
        width: 100%;
        box-sizing: border-box;
        padding: 0 10px;
    }
    .right-cont{
        box-sizing: border-box;
        width: calc(100% - 280px);
        padding-left: 20px;
    }
    .teacher-list li{
        width: calc(96% / 4);
        height: 340px;
        margin-right: 13px;
    }
}
@media screen and (max-width: 996px){
    .main-layout{
        width: 750px;
        flex-direction: column;
        padding: 0;
    }
    .right-cont{
        width: 100%;
        padding-left: 0px;
    }
    .teacher-list li{
        width: calc(94% / 4);
        height: 275px;
    }
}
@media screen and (max-width: 768px){
    .main-layout{
        width: 100%;
        padding: 0 10px;
    }
    .teacher-list li{
        width: calc(95% / 3);
        /*height: 250px;*/
    }
    .teacher-list li:nth-child(3n){
        margin-right: 0;
    }
    .teacher-list li:nth-child(4n){
        margin-right: 13px;
    }
}
@media screen and (max-width: 515px){
    .teacher-list li{
        width: calc(95% / 2);
    }
}
@media screen and (max-width: 375px){
    .teacher-list li{
        width: 100%;
        height: 272px;
    }
}